> ## Documentation Index
> Fetch the complete documentation index at: https://support.myapps.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update one chat conversation project.



## OpenAPI

````yaml /api/pixio-project-api.json patch /api/v1/chat/conversations/{id}
openapi: 3.1.0
info:
  title: Pixio Project Integration API
  version: 1.0.0
  description: >-
    Additive project-authoring endpoints. The original media API contract
    remains at /api/v1/openapi.json.
servers:
  - url: https://beta.pixio.myapps.ai
security: []
paths:
  /api/v1/chat/conversations/{id}:
    patch:
      summary: Update one chat conversation project.
      operationId: patch_chat_conversations_id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectWrite'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Invalid or revoked integration key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Owned resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '409':
          description: Project type or version conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - bearerAuth: []
components:
  schemas:
    ProjectWrite:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 200
        description:
          type:
            - string
            - 'null'
          maxLength: 2000
        thumbnailUrl:
          type:
            - string
            - 'null'
        content:
          type: object
          additionalProperties: true
        expectedUpdatedAt:
          type: string
          format: date-time
    ApiError:
      type: object
      required:
        - error
      properties:
        error:
          type: string
        code:
          type: string
        details: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Pixio key

````